# Uses of Class
org.globus.ftp.dc.EBlockParallelTransferContext

Packages that use EBlockParallelTransferContext
Package
Description
org.globus.ftp.dc

## Uses of EBlockParallelTransferContext in org.globus.ftp.dc

Fields in org.globus.ftp.dc declared as EBlockParallelTransferContext
Modifier and Type
Field
Description
`protected EBlockParallelTransferContext`
EBlockAware.`context`
`protected EBlockParallelTransferContext`
GridFTPTransferSinkThread.`eContext`
`protected EBlockParallelTransferContext`
GridFTPTransferSourceThread.`eContext`
Methods in org.globus.ftp.dc that return EBlockParallelTransferContext
Modifier and Type
Method
Description
`EBlockParallelTransferContext`
StripeContextManager.`getStripeContext(int stripe)`
Methods in org.globus.ftp.dc with parameters of type EBlockParallelTransferContext
Modifier and Type
Method
Description
`void`
EBlockAware.`setTransferContext(EBlockParallelTransferContext context)`
Constructors in org.globus.ftp.dc with parameters of type EBlockParallelTransferContext
Modifier
Constructor
Description
``
`GridFTPPassiveConnectTask(ServerSocket myServer, DataSink sink, BasicServerControlChannel control, GridFTPSession session, DataChannelFactory factory, EBlockParallelTransferContext context)`
``
`GridFTPPassiveConnectTask(ServerSocket myServer, DataSource source, BasicServerControlChannel control, GridFTPSession session, DataChannelFactory factory, EBlockParallelTransferContext context)`
``
`GridFTPTransferSinkThread(AbstractDataChannel dataChannel, SocketBox socketBox, DataSink sink, BasicServerControlChannel localControlChannel, EBlockParallelTransferContext context)`
``
`GridFTPTransferSourceThread(AbstractDataChannel dataChannel, SocketBox socketBox, DataSource source, BasicServerControlChannel localControlChannel, EBlockParallelTransferContext context)`